Package twisted :: Package python :: Module log :: Class LogPublisher |
[show private | hide private]
[frames | no frames]

## Class LogPublisher

Class for singleton log message publishing.

Method Summary
| `__init__(self)`
| ``__hook_orig_twisted_python_log_LogPublisher_msg__`(self, *message, **kw)` Log a new message.
| ``addObserver`(self, other)` Add a new observer.
| `msg(*args, **kw)`
| ``removeObserver`(self, other)` Remove an observer.

Class Variable Summary
`list` | `__hook_post_twisted_python_log_LogPublisher_msg__`
`list` | `__hook_pre_twisted_python_log_LogPublisher_msg__`
`list` | `synchronized`

Method Details

### __hook_orig_twisted_python_log_LogPublisher_msg__(self, *message, **kw) Log a new message.

### addObserver(self, other) Add a new observer. Observers are callable objects that will be called with each new log message (a dict).

### removeObserver(self, other) Remove an observer.

Class Variable Details

    ### __hook_post_twisted_python_log_LogPublisher_msg__ Type: `list` Value:
        [<function _synchPost at 0x81aead4>]

    ### __hook_pre_twisted_python_log_LogPublisher_msg__ Type: `list` Value:
        [<function _synchPre at 0x81aea9c>]

    ### synchronized Type: `list` Value:
        ['msg']

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net